OGRE-Next: Ogre::Resource::Listener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::Resource::Listener Class Reference

`#include <OgreResource.h>`

Inheritance diagram for Ogre::Resource::Listener:
[legend]

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | loadingComplete (Resource *)
| Called whenever the resource finishes loading.
virtual void | preparingComplete (Resource *)
| Called whenever the resource finishes preparing (paging into memory).
virtual void | unloadingComplete (Resource *)
| Called whenever the resource has been unloaded.

## Constructor & Destructor Documentation

## ◆ Listener()

Ogre::Resource::Listener::Listener | ( |  | ) |
| inline

## ◆ ~Listener()

virtual Ogre::Resource::Listener::~Listener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ loadingComplete()

virtual void Ogre::Resource::Listener::loadingComplete | ( | Resource * |  | ) |
| inlinevirtual

Called whenever the resource finishes loading.

Remarks
  If a Resource has been marked as background loaded (

See also
  Resource::setBackgroundLoaded), the call does not itself occur in the thread which is doing the loading; when loading is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

Reimplemented in Ogre::GpuProgramUsage, Ogre::Item, and Ogre::v1::Entity.

## ◆ preparingComplete()

virtual void Ogre::Resource::Listener::preparingComplete | ( | Resource * |  | ) |
| inlinevirtual

Called whenever the resource finishes preparing (paging into memory).

Remarks
  If a Resource has been marked as background loaded (

See also
  Resource::setBackgroundLoaded) the call does not itself occur in the thread which is doing the preparing; when preparing is complete a response indicator is placed with the ResourceGroupManager, which will then be sent back to the listener as part of the application's primary frame loop thread.

## ◆ unloadingComplete()

virtual void Ogre::Resource::Listener::unloadingComplete | ( | Resource * |  | ) |
| inlinevirtual

Called whenever the resource has been unloaded.

Reimplemented in Ogre::GpuProgramUsage.

The documentation for this class was generated from the following file:

- OgreResource.h